## GUPnPDIDLLiteContainer GUPnPDIDLLiteContainer — DIDL-Lite Container |

## Functions

gboolean | gupnp_didl_lite_container_get_searchable ()
gint | gupnp_didl_lite_container_get_child_count ()
GList * | gupnp_didl_lite_container_get_create_classes ()
GList * | gupnp_didl_lite_container_get_search_classes ()
gint64 | gupnp_didl_lite_container_get_storage_used ()
void | gupnp_didl_lite_container_set_searchable ()
void | gupnp_didl_lite_container_set_child_count ()
void | gupnp_didl_lite_container_set_storage_used ()
void | gupnp_didl_lite_container_add_create_class ()
void | gupnp_didl_lite_container_add_create_class_full ()
void | gupnp_didl_lite_container_add_search_class ()
void | gupnp_didl_lite_container_add_search_class_full ()
gboolean | gupnp_didl_lite_container_container_update_id_is_set ()
guint | gupnp_didl_lite_container_get_container_update_id ()
GList * | gupnp_didl_lite_container_get_create_classes_full ()
guint | gupnp_didl_lite_container_get_total_deleted_child_count ()
void | gupnp_didl_lite_container_set_container_update_id ()
void | gupnp_didl_lite_container_set_total_deleted_child_count ()
gboolean | gupnp_didl_lite_container_total_deleted_child_count_is_set ()
void | gupnp_didl_lite_container_unset_container_update_id ()
void | gupnp_didl_lite_container_unset_total_deleted_child_count ()

## Properties

gint | child-count | Read / Write
guint | container-update-id | Read / Write
gboolean | searchable | Read / Write
gint64 | storage-used | Read / Write
guint | total-deleted-child-count | Read / Write

## Types and Values

| GUPnPDIDLLiteContainer

## Object Hierarchy

        GObject
        ╰── GUPnPDIDLLiteObject
            ╰── GUPnPDIDLLiteContainer

## Description

GUPnPDIDLLiteContainer respresents a DIDL-Lite container element.

## Functions

### gupnp_didl_lite_container_get_searchable ()

    gboolean
    gupnp_didl_lite_container_get_searchable
                                   (GUPnPDIDLLiteContainer *container);

Checks whether `container` is searchable.

#### Parameters

container | GUPnPDIDLLiteContainer |

#### Returns

TRUE if `container` is searchable.

### gupnp_didl_lite_container_get_child_count ()

    gint
    gupnp_didl_lite_container_get_child_count
                                   (GUPnPDIDLLiteContainer *container);

Get the child count of the `container` . If the child count is unknown, -1 is returned.

#### Parameters

container | GUPnPDIDLLiteContainer |

#### Returns

The child count of the `container` , or -1 if it is unknown.

### gupnp_didl_lite_container_get_create_classes ()

    GList *
    gupnp_didl_lite_container_get_create_classes
                                   (GUPnPDIDLLiteContainer *container);

Gets the list of create classes of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |

#### Returns

The list of create classes belonging to `container` , or `NULL`. g_list_free the returned list after usage and g_free each string in it.

[element-type utf8][transfer full]

### gupnp_didl_lite_container_get_search_classes ()

    GList *
    gupnp_didl_lite_container_get_search_classes
                                   (GUPnPDIDLLiteContainer *container);

Gets the list of search classes of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |

#### Returns

The list of search classes belonging to `container` , or `NULL`. g_list_free the returned list after usage and g_free each string in it.

[element-type utf8][transfer full]

### gupnp_didl_lite_container_get_storage_used ()

    gint64
    gupnp_didl_lite_container_get_storage_used
                                   (GUPnPDIDLLiteContainer *container);

Get the number of bytes used by all child items of the `container` . If storage used is unknown, -1 is returned.

#### Parameters

container | GUPnPDIDLLiteContainer |

#### Returns

The number of bytes used by all children of the `container` , or -1 if it is unknown.

### gupnp_didl_lite_container_set_searchable ()

    void
    gupnp_didl_lite_container_set_searchable
                                   (GUPnPDIDLLiteContainer *container,
                                    gboolean searchable);

(Un)set the searchibility of `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |
searchable | The searchibility |

### gupnp_didl_lite_container_set_child_count ()

    void
    gupnp_didl_lite_container_set_child_count
                                   (GUPnPDIDLLiteContainer *container,
                                    gint child_count);

Set the child count of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |
child_count | The child count |

### gupnp_didl_lite_container_set_storage_used ()

    void
    gupnp_didl_lite_container_set_storage_used
                                   (GUPnPDIDLLiteContainer *container,
                                    gint64 storage_used);

Set the number of bytes used by all child items of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |
storage_used | The number of bytes used by all child items of the `container` or -1 if unknown. |

### gupnp_didl_lite_container_add_create_class ()

    void
    gupnp_didl_lite_container_add_create_class
                                   (GUPnPDIDLLiteContainer *container,
                                    const char *create_class);

Add a new create class to the `container` . includeDerived defaults to "0".

#### Parameters

container | GUPnPDIDLLiteContainer |
create_class | The createClass to add. |

#### Returns

None.

### gupnp_didl_lite_container_add_create_class_full ()

    void
    gupnp_didl_lite_container_add_create_class_full
                                   (GUPnPDIDLLiteContainer *container,
                                    const char *create_class,
                                    gboolean include_derived);

Add a new create class to the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |
create_class | The createClass to add. |
include_derived | Whether object with dervied classes may be created in this container or not. |

#### Returns

None.

### gupnp_didl_lite_container_add_search_class ()

    void
    gupnp_didl_lite_container_add_search_class
                                   (GUPnPDIDLLiteContainer *container,
                                    const char *search_class);

Add a new search class to the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |
search_class | The searchClass to add. |

#### Returns

None.

### gupnp_didl_lite_container_add_search_class_full ()

    void
    gupnp_didl_lite_container_add_search_class_full
                                   (GUPnPDIDLLiteContainer *container,
                                    const char *search_class,
                                    gboolean include_derived);

Add a new search class to the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |
search_class | The searchClass to add. |
include_derived | includeDerived attribute of the DIDL |

#### Returns

None.

### gupnp_didl_lite_container_container_update_id_is_set ()

    gboolean
    gupnp_didl_lite_container_container_update_id_is_set
                                   (GUPnPDIDLLiteContainer *container);

Get whether the container update ID of the `container` is set.

#### Parameters

container | GUPnPDIDLLiteContainer |

#### Returns

`TRUE` if update ID is set, otherwise `FALSE`

### gupnp_didl_lite_container_get_container_update_id ()

    guint
    gupnp_didl_lite_container_get_container_update_id
                                   (GUPnPDIDLLiteContainer *container);

Get the container update ID of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |

#### Returns

The container update ID of the `container` .

### gupnp_didl_lite_container_get_create_classes_full ()

    GList *
    gupnp_didl_lite_container_get_create_classes_full
                                   (GUPnPDIDLLiteContainer *container);

Gets the list of create classes of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |

#### Returns

The list of create classes belonging to `container` , or `NULL`. g_list_free the returned list after usage and unref each object in it.

[element-type GUPnPDIDLLiteCreateClass*][transfer full]

### gupnp_didl_lite_container_get_total_deleted_child_count ()

    guint
    gupnp_didl_lite_container_get_total_deleted_child_count
                                   (GUPnPDIDLLiteContainer *container);

Get the total deleted child count of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |

#### Returns

The total deleted child count of the `container` .

### gupnp_didl_lite_container_set_container_update_id ()

    void
    gupnp_didl_lite_container_set_container_update_id
                                   (GUPnPDIDLLiteContainer *container,
                                    guint update_id);

Set the container update ID of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |
update_id | The container update ID |

### gupnp_didl_lite_container_set_total_deleted_child_count ()

    void
    gupnp_didl_lite_container_set_total_deleted_child_count
                                   (GUPnPDIDLLiteContainer *container,
                                    guint count);

Set the container update ID of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |
count | The container update ID |

### gupnp_didl_lite_container_total_deleted_child_count_is_set ()

    gboolean
    gupnp_didl_lite_container_total_deleted_child_count_is_set
                                   (GUPnPDIDLLiteContainer *container);

Get whether the total deleted child conut of the `container` is set.

#### Parameters

container | GUPnPDIDLLiteContainer |

#### Returns

`TRUE` if property is set, otherwise `FALSE`

### gupnp_didl_lite_container_unset_container_update_id ()

    void
    gupnp_didl_lite_container_unset_container_update_id
                                   (GUPnPDIDLLiteContainer *container);

Unset the container update ID property of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |

### gupnp_didl_lite_container_unset_total_deleted_child_count ()

    void
    gupnp_didl_lite_container_unset_total_deleted_child_count
                                   (GUPnPDIDLLiteContainer *container);

Unset the total deleted child count property of the `container` .

#### Parameters

container | GUPnPDIDLLiteContainer |

## Types and Values

### GUPnPDIDLLiteContainer

    typedef struct _GUPnPDIDLLiteContainer GUPnPDIDLLiteContainer;

## Property Details

### The `“child-count”` property

      “child-count”              gint

The child count of this container.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“container-update-id”` property

      “container-update-id”      guint

Update ID of this container.

Flags: Read / Write

Default value: 0

### The `“searchable”` property

      “searchable”               gboolean

Whether this container is searchable.

Flags: Read / Write

Default value: FALSE

### The `“storage-used”` property

      “storage-used”             gint64

The number of bytes used by all child items of this container.

Flags: Read / Write

Allowed values: >= -1

Default value: -1

### The `“total-deleted-child-count”` property

      “total-deleted-child-count” guint

Total deleted child count of this container.

Flags: Read / Write

Default value: 0